﻿@model IEnumerable<LifeAnnuityContract>
<div class="d-flex align-items-center flex-wrap mb-5">
    <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-3">Let's see if you have any Life/Annuity Contract</h4>
    <button class="btn btn-primary font-weight-bold btn-sm btn-lifeannuities-add mb-2"><i class="fas fa-plus"></i>Life/Annuity Contract</button>
</div>
<div class="wizard-content-height">
    <div id="lifeannuitycontracts-main-div">
        @foreach (var item in Model)
        {
            <div class="lifeannuitycontracts-info-div" id="lifeannuitycontract-card-@item.Guid">
                <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
                    <div class="card-header" style="background: #000066">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>@item.AccountName</span>
                                @if (!string.IsNullOrEmpty(item.Nickname))
                                {
                                    <span>- @item.Nickname</span>
                                }
                            </h3>
                            <span class="label label-pill label-inline label-warning text-dark font-weight-bold">@item.TypeString</span>
                        </div>
                        <div class="card-toolbar">
                            <button class="btn btn-icon btn-sm btn-lifeannuities-edit" data-guid="@item.Guid">
                                <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                            </button>
                            <button class="btn btn-icon btn-sm btn-lifeannuities-delete" data-guid="@item.Guid">
                                <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Type:</span>
                                <span class="col-md-7 p-0">@item.LifeAnnuityContractTypeString</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Date of Issue:</span>
                                <span class="col-md-7 p-0">@item.IssueDate.ToString("MMM dd, yyyy")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Owner:</span>
                                <span class="col-md-7 p-0">@item.OwnByWithData</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Insured:</span>
                                <span class="col-md-7 p-0">@item.Insured</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Tax Classification:</span>
                                <span class="col-md-7 p-0">@item.TaxClassificationString</span>
                            </div>
                            @if (item.ContractType == ContractTypeEnum.Life)
                            {
                                <div class="d-flex align-items-end">
                                    <span class="col-md-5 text-dark font-weight-bold p-0">Contract Face Amount:</span>
                                    <span class="col-md-7 p-0">@(item.ContractFaceAmount > 0 ? string.Format("{0:C0}", item.ContractFaceAmount) : "-")</span>
                                </div>
                                <div class="d-flex align-items-end">
                                    <span class="col-md-5 text-dark font-weight-bold p-0">Annual Premium Amount:</span>
                                    <span class="col-md-7 p-0">@(item.AnnualPremiumAmount > 0 ? string.Format("{0:C0}", item.AnnualPremiumAmount) : "-")</span>
                                </div>
                                @if (item.LifeAnnuityContractType != LifeAnnuityContractTypeEnum.Term)
                                {
                                    <div class="d-flex align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Cash Value:</span>
                                        <span class="col-md-7 p-0">@(item.CashValue > 0 ? string.Format("{0:C0}", item.CashValue) : "-")</span>
                                    </div>
                                }
                            }
                            else
                            {
                                <div class="d-flex align-items-start">
                                    <span class="col-md-5 text-dark font-weight-bold p-0">Current Balance:</span>
                                    <span class="col-md-7 p-0">@(item.CurrentBalance > 0 ? string.Format("{0:C0}", item.CurrentBalance) : "-")</span>
                                </div>
                                <div class="d-flex align-items-center">
                                    <span class="col-md-5 text-dark font-weight-bold p-0">Rate of Return:</span>
                                    <span class="col-md-7 p-0">@(item.RateOfReturn>0? $"{item.RateOfReturn.ToString()}%" :"-")</span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="LifeAnnuityContractModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    setTimeout(function() {
        $("#btn-submit,#btn-save-exit").addClass("btn-next");
    }, 1000)
    $(document).on("click", ".btn-lifeannuities-add,.btn-lifeannuities-edit", function() {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`investmentplanning/lifeannuitycontractinfo?guid=${id}`, "LifeAnnuityContractModal");
    });
    $("#wizard-main-div").on("click", ".btn-lifeannuities-delete", function() {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function(result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`investmentplanning/DeleteLifeAnnuityContract?guid=${guid}`, function(response) {
                        var hasInvestmentIncome = response.data.hasInvestmentIncome == true ? 1 : 0
                        $("#HasInvestmentIncome").val(hasInvestmentIncome);
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(`#lifeannuitycontract-card-${guid}`).remove();
                        setTimeout(function() { KTApp.unblockPage(); }, 1000);
                        LoadExplicitVue();
                    });
                }
            });
    });
    var bindLifeAnnuityContractType = function(contractType) {
        $.get(`investmentplanning/GetLifeAnnuityContractType?contractType=${contractType}`, function(response) {
            var html = "";
            $.each(response, function(i, item) {
                var s = item.selected == true ? "selected" : "";
                html += `<option value="${item.value}" ${s}>${item.text}</option>`
            });
            $("#LifeAnnuityContractType").html(html);
            $('#LifeAnnuityContractType').selectpicker('refresh');
        });
    }
    var showHideAnnualIncome = function(hasIncome) {
        if (hasIncome)
            $(".annualIncome-div").removeClass("d-none");
        else
            $(".annualIncome-div").addClass("d-none").find("input").val("");
    }
    var showHideContractfaceAmount = function(contractType) {
        if (contractType == ContractType.LIFE) {
            $("#CashValue").closest(".form-group").parent().addClass("d-none");
            $("#HasAnnualIncome").closest(".form-group").closest(".row").addClass("d-none");
            $(".currentbalance-div").addClass("d-none").find("input").val("");
            $(".contractface-div").removeClass("d-none");
        }
        else {
            $("#CashValue").closest(".form-group").parent().removeClass("d-none");
            $("#HasAnnualIncome").closest(".form-group").closest(".row").removeClass("d-none");
            $(".currentbalance-div").removeClass("d-none");
            $(".contractface-div").addClass("d-none").find("input").val("");
        }
    }
    var showHideCashValue = function(type) {
        var el = $("#CashValue").closest(".form-group").parent();
        var el2 = $("#HasAnnualIncome").closest(".form-group").closest(".row");
        if (!type || type == LifeAnnuityContractType.TERM) {
            el.addClass("d-none").find("input").val("");
            el2.addClass("d-none").find("input").val("");
            el2.find("[type='checkbox']").prop("checked", false);
        }
        else {
            el.removeClass("d-none").removeClass("d-none");
            el2.removeClass("d-none");
        }
    }
    $("#wizard-main-div").on("change", "#HasAnnualIncome", function() {
        var hasIncome = $(this).is(":checked");
        showHideAnnualIncome(hasIncome);
    });
    $("#wizard-main-div").on("change", "#ContractType", function() {
        var contractType = $(this).val();
        bindLifeAnnuityContractType(contractType);
        showHideContractfaceAmount(contractType)
    });
    $("#wizard-main-div").on("change", "#LifeAnnuityContractType", function() {
        var type = $(this).val();
        showHideCashValue(type)
    });
</script>